Hide own edits from Special:Recentchangeslinked
Closed, ResolvedPublic

Description

Author: lupin.wp

Description:
I've made a patch that lets you hide your own edits in
Special:Recentchangeslinked. I would find this very useful as I have an index of
my userspace pages which I check frequently with this special page, but I'm the
most frequent editor of these.


Version: unspecified
Severity: enhancement

bzimport added a project: MediaWiki-Special-pages.Via ConduitNov 21 2014, 9:03 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz4832.
bzimport created this task.Via LegacyFeb 2 2006, 3:45 AM
bzimport added a comment.Via ConduitFeb 2 2006, 3:46 AM

lupin.wp wrote:

proposed patch

I don't know what to do about translations, so I've only changed Messages.php.

attachment diff ignored as obsolete

brion added a comment.Via ConduitFeb 4 2006, 8:06 AM

I think I'd rather see the interface for Recentchanges and Recentchangeslinked cleaned
up a bit and made more consistent. Certainly I don't think it makes sense to add a
'hide own edits' on Recentchangeslinked without it being on Recentchanges. It's
already kind of weird that there's one on the watchlist.

bzimport added a comment.Via ConduitFeb 4 2006, 2:31 PM

lupin.wp wrote:

consistent interface between recentchanges and recentchangeslinked

This makes the interfaces consistent.

Attached: hideown

bzimport added a comment.Via ConduitApr 16 2006, 12:05 AM

robchur wrote:

Added yonks ago.

bzimport added a comment.Via ConduitMay 25 2006, 10:25 PM

lupin.wp wrote:

I don't see how this is fixed. For example,

http://en.wikipedia.org/wiki/Special:Recentchangeslinked/User:Lupin/index?hideown=1

still shows me my own edits when I'm logged in as [[:en:User:Lupin]].

bzimport added a comment.Via ConduitJan 8 2007, 1:59 PM

robchur wrote:

Sorry; I must have meant, "the toggle on recent changes was added yonks ago" -
it's not there for Special:Recentchangeslinked. Repurposing bug.

bzimport added a comment.Via ConduitApr 26 2007, 5:22 AM

le.korrigan wrote:

Adding the ability to hide bot edits in Special:Recentchangeslinked has also
been requested on fr.wikipedia. I don't know whether this fits within the scope
of this bug, or if I should open a new one ?

bzimport added a comment.Via ConduitSep 18 2007, 5:56 AM

zelda069 wrote:

Many users are requesting a more consistent interface between Special:Recentchangeslinked and Special:Recentchanges that would allow to show/hide minor, IP and bot edits.

As far as I can see, the patch submited by Lupin adds theses features. Any chance to see it landing?

IAlex added a comment.Via ConduitJun 26 2008, 7:14 PM

fixed in r36682.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.